#! /usr/bin/env bash

if [ -z "$1" ]; then
    echo "Usage: ./fully-delete-chart RELEASE_NAME"
    exit 1
else
    release="$1"
fi

kubectl delete pod "$release-onlyoffice-documentserver-taiko-test"

kubectl delete job "$release-setup-apps"

# This command can fail, but that is not a problem
kubectl delete pvc \
    "$release-nextcloud-nextcloud" \
    "data-$release-rabbitmq-0" \
    "redis-data-$release-redis-master-0" \
    "redis-data-$release-redis-slave-0" \
    "redis-data-$release-redis-slave-1" \
    "data-$release-mariadb-0"

helm delete --wait "$release"

output=$(kubectl get pod -l "app.kubernetes.io/instance=$release")
until [ "$output" == "" ]
do
    echo "waiting for pods to be deleted, pods still running:"
    echo "$output"
    sleep 5
    output=$(kubectl get pod -l "app.kubernetes.io/instance=$release")
done
